[arch-commits] Commit in xpdf/trunk (PKGBUILD xpdf-3.00-xfont.patch)

Allan McRae allan at archlinux.org
Sat Nov 7 08:13:01 EST 2009


    Date: Saturday, November 7, 2009 @ 08:13:00
  Author: allan
Revision: 58377

upgpkg: xpdf 3.02_pl4-2
    add patch from Fedora to remove font size warning (FS#14217)

Added:
  xpdf/trunk/xpdf-3.00-xfont.patch
Modified:
  xpdf/trunk/PKGBUILD

-----------------------+
 PKGBUILD              |   13 ++++++++-----
 xpdf-3.00-xfont.patch |   11 +++++++++++
 2 files changed, 19 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-07 12:55:24 UTC (rev 58376)
+++ PKGBUILD	2009-11-07 13:13:00 UTC (rev 58377)
@@ -6,7 +6,7 @@
 _srcver=3.02
 _patchlevel=pl4
 pkgver=${_srcver}_${_patchlevel}
-pkgrel=1
+pkgrel=2
 pkgdesc="A viewer for Portable Document Format (PDF) files."
 arch=(i686 x86_64)
 license=('GPL')
@@ -21,13 +21,15 @@
         ftp://ftp.foolabs.com/pub/${pkgname}/${pkgname}-${_srcver}pl2.patch
         ftp://ftp.foolabs.com/pub/${pkgname}/${pkgname}-${_srcver}pl3.patch
         ftp://ftp.foolabs.com/pub/${pkgname}/${pkgname}-${_srcver}${_patchlevel}.patch
+        xpdf-3.00-xfont.patch
         xpdf.desktop)
 md5sums=('599dc4cc65a07ee868cf92a667a913d2'
-	 '877118786dfe27d1b7aa5a6759cc6e45'
+         '877118786dfe27d1b7aa5a6759cc6e45'
          '3a5cb165ae66781e0b21e6219ae06795'
-	 '581963ede0fb5715e1a69f01b5b8ce63'
-	 '70b752716798dd341a4bf890df5f6fdc'
-	 '93b9df5ebef3bc56133236ef3f176bb7')
+         '581963ede0fb5715e1a69f01b5b8ce63'
+         '70b752716798dd341a4bf890df5f6fdc'
+         '6490de55687e0d2389212c1b5bbcf916'
+         '93b9df5ebef3bc56133236ef3f176bb7')
 
 build() {
   cd "${srcdir}/${pkgname}-${_srcver}"
@@ -35,6 +37,7 @@
   patch -Np1 -i "${srcdir}/${pkgname}-${_srcver}pl2.patch" || return 1
   patch -Np1 -i "${srcdir}/${pkgname}-${_srcver}pl3.patch" || return 1
   patch -Np1 -i "${srcdir}/${pkgname}-${_srcver}${_patchlevel}.patch" || return 1
+  patch -Np1 -i "${srcdir}/xpdf-3.00-xfont.patch" || return 1
   sed -i 's:/usr/share/fonts/type1/gsfonts:/usr/share/fonts/Type1:' xpdf/GlobalParams.cc || return 1
   ./configure                                                  \
     --prefix=/usr                                              \

Added: xpdf-3.00-xfont.patch
===================================================================
--- xpdf-3.00-xfont.patch	                        (rev 0)
+++ xpdf-3.00-xfont.patch	2009-11-07 13:13:00 UTC (rev 58377)
@@ -0,0 +1,11 @@
+--- xpdf-3.00/xpdf/XPDFViewer.cc.orig	2004-10-12 12:24:57.055068037 +0200
++++ xpdf-3.00/xpdf/XPDFViewer.cc	2004-10-12 12:24:47.707449614 +0200
+@@ -1742,7 +1742,7 @@
+   aboutBigFont =
+     createFontList("-*-times-bold-i-normal--20-*-*-*-*-*-iso8859-1");
+   aboutVersionFont =
+-    createFontList("-*-times-medium-r-normal--16-*-*-*-*-*-iso8859-1");
++    createFontList("-*-times-medium-r-normal--14-*-*-*-*-*-iso8859-1");
+   aboutFixedFont =
+     createFontList("-*-courier-medium-r-normal--12-*-*-*-*-*-iso8859-1");
+ 



More information about the arch-commits mailing list